summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorBastian Stender <bst@pengutronix.de>2017-01-03 17:01:13 +0100
committerMichael Olbrich <m.olbrich@pengutronix.de>2017-01-04 17:12:21 +0100
commit61de39c6055973f51e99ba4c598bc611c61ed1f3 (patch)
tree1132a33ede8733201e00bb68352d117e7b132015 /bin
parent6be5f1985a031f22b7cb7eb78ec4b05e4175af88 (diff)
downloadptxdist-61de39c6055973f51e99ba4c598bc611c61ed1f3.tar.gz
ptxdist-61de39c6055973f51e99ba4c598bc611c61ed1f3.tar.xz
create_docs: fix copy destination
Collecting files from doc/_static in a BSP lead to two nested _static directories. This results in broken javascript and image links in the html documentation. Signed-off-by: Bastian Stender <bst@pengutronix.de> Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ptxdist2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/ptxdist b/bin/ptxdist
index 59a39ef56..445cf7270 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -1232,7 +1232,7 @@ create_docs() {
ptxd_in_path PTXDIST_PATH doc &&
for dir in "${ptxd_reply[@]}"; do
for entry in $(cd "${dir}"; ls); do
- cp -an "${dir}/${entry}" "${srcdir}/${entry}" || return
+ cp -an "${dir}/${entry}" "${srcdir}/" || return
done
done &&
sphinx-build -b "${builder}" -d "${outdir}/.doctrees" "${srcdir}" \